org.eclnt.jsfserver.elements.componentnodes

## Class HTGRIDCOLNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTGRIDCOLNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTGRIDCOLNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTGRIDCOLNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTGRIDCOLNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTGRIDCOLNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTGRIDCOLNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTGRIDCOLNode` | `bindStyle(IDynamicContentBindingObject value)`
    `HTGRIDCOLNode` | `bindStyleClass(IDynamicContentBindingObject value)`
    `HTGRIDCOLNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTGRIDCOLNode` | `bindText(IDynamicContentBindingObject value)`
    `HTGRIDCOLNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTGRIDCOLNode` | `setAttributemacro(java.lang.String value)`
    `HTGRIDCOLNode` | `setComment(java.lang.String value)`
    `HTGRIDCOLNode` | `setConfiginfo(java.lang.String value)`
    `HTGRIDCOLNode` | `setId(java.lang.String value)`
    `HTGRIDCOLNode` | `setReference(java.lang.String value)`
    `HTGRIDCOLNode` | `setRendered(boolean value)`
    `HTGRIDCOLNode` | `setRendered(java.lang.String value)`
    `HTGRIDCOLNode` | `setStyle(java.lang.String value)`
    `HTGRIDCOLNode` | `setStyleClass(java.lang.String value)`
    `HTGRIDCOLNode` | `setStylevariant(java.lang.String value)`
    `HTGRIDCOLNode` | `setText(java.lang.String value)`
    `HTGRIDCOLNode` | `setWidth(int value)`
    `HTGRIDCOLNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTGRIDCOLNode

          public HTGRIDCOLNode()

  - ### Method Detail

    - #### setId

          public HTGRIDCOLNode setId(java.lang.String value)

    - #### setAttributemacro

          public HTGRIDCOLNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTGRIDCOLNode setComment(java.lang.String value)

    - #### bindComment

          public HTGRIDCOLNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTGRIDCOLNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTGRIDCOLNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public HTGRIDCOLNode setReference(java.lang.String value)

    - #### setRendered

          public HTGRIDCOLNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTGRIDCOLNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTGRIDCOLNode setRendered(boolean value)

    - #### setStyle

          public HTGRIDCOLNode setStyle(java.lang.String value)

    - #### bindStyle

          public HTGRIDCOLNode bindStyle(IDynamicContentBindingObject value)

    - #### setStyleClass

          public HTGRIDCOLNode setStyleClass(java.lang.String value)

    - #### bindStyleClass

          public HTGRIDCOLNode bindStyleClass(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTGRIDCOLNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTGRIDCOLNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public HTGRIDCOLNode setText(java.lang.String value)

    - #### bindText

          public HTGRIDCOLNode bindText(IDynamicContentBindingObject value)

    - #### setWidth

          public HTGRIDCOLNode setWidth(java.lang.String value)

    - #### bindWidth

          public HTGRIDCOLNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTGRIDCOLNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.